---
title: Libraries
layout: libraries
---

<div class="feature">
  <h1>Octokit comes in<br />
many flavors</h1>
  <p class="intro">Use the official Octokit library, or choose between any of the available third party libraries.</p>
  <ul class="library-links">
    <li><span>Ruby</span><a href="https://github.com/octokit/octokit.rb">octokit.rb</a></li>
    <li><span>Obj-C</span><a href="https://github.com/octokit/octokit.objc">octokit.objc</a></li>
    <li><span>.NET</span><a href="https://github.com/octokit/octokit.net">octokit.net</a></li>
  </ul>
  <img src="/assets/images/gundamcat.png" class="gundamcat" alt="The Gundamcat" />
</div>

# Third-party libraries

## Android

* [GithubAndroidSDK][githubandroidsdk]

[githubandroidsdk]: https://github.com/gitskarios/GithubAndroidSdk

## .NET

* [IronGithub][irongithub]
* [CSharp GitHub API][csharp]
* [FSharp.GitHubApi][fsharp]

[irongithub]: https://github.com/in2bits/IronGitHub
[csharp]: https://github.com/sgrassie/csharp-github-api
[fsharp]: https://github.com/saxonmatt/FSharp.GitHubApi

## Clojure

* [Tentacles][tentacles]

[tentacles]: https://github.com/Raynes/tentacles

## Dart

* [github.dart][github.dart]

[github.dart]: https://github.com/DirectMyFile/github.dart

## Emacs Lisp

* [gh.el][gh.el]

[gh.el]: https://github.com/sigma/gh.el

## Erlang

* [Erlang GitHub API][erlang]
* [octo.erl][octo-erl]

[erlang]: https://github.com/onlyshk/erlang-github-api
[octo-erl]: https://github.com/sdepold/octo.erl

## Go

* [go-github][]

[go-github]: https://github.com/google/go-github

## Haskell

* [github][haskell-github]
* [Haskell GitHub API][haskell]

[haskell-github]: https://github.com/fpco/GitHub
[haskell]: https://github.com/dmnpignaud/haskell-github-api

## Java

* The [GitHub Java API (org.eclipse.egit.github.core)](https://github.com/eclipse/egit-github/tree/master/org.eclipse.egit.github.core) library
is part of the [GitHub Mylyn Connector](https://github.com/eclipse/egit-github) and aims to support the entire
GitHub v3 API.  Builds are available in [Maven Central](http://search.maven.org/#search%7Cga%7C1%7Ca%3A%22org.eclipse.egit.github.core%22).
* [GitHub API for Java (org.kohsuke.github)](http://github-api.kohsuke.org/) defines an object oriented representation of the GitHub API.
* [JCabi GitHub API](http://github.jcabi.com) is based on Java7 JSON API (JSR-353), simplifies tests with a runtime GitHub stub, and
covers the entire API.

## JavaScript

* [Node-GitHub][mikedeboer-node-github]
* [NodeJS GitHub library][octonode]
* [gh3 client-side API v3 wrapper][gh3]
* [GitHub.js wrapper around the GitHub API][github]
* [Promise-Based CoffeeScript library for the browser or NodeJS][github-client]

[mikedeboer-node-github]: https://github.com/mikedeboer/node-github
[octonode]: https://github.com/pksunkara/octonode
[gh3]: https://github.com/k33g/gh3
[github]: https://github.com/michael/github
[github-client]: https://github.com/philschatz/github-client

## Julia

* [GitHub.jl][github.jl]

[github.jl]: https://github.com/WestleyArgentum/GitHub.jl

## Objective-C

* [UAGithubEngine][uagithubengine]

[uagithubengine]: http://github.com/owainhunt/uagithubengine

## OCaml

* [ocaml-github][ocaml-github]

[ocaml-github]: https://github.com/mirage/ocaml-github

## Perl

* [Pithub][pithub-github] ([CPAN][pithub-cpan])
* [Net::GitHub][net-github-github] ([CPAN][net-github-cpan])

[net-github-github]: https://github.com/fayland/perl-net-github
[net-github-cpan]: http://search.cpan.org/dist/Net-GitHub/
[pithub-github]: https://github.com/plu/Pithub
[pithub-cpan]: http://metacpan.org/module/Pithub

## PHP

* [GitHub PHP Client][github-php-client]
* [PHP GitHub API][php-github-api]
* [GitHub API][github-api]
* [GitHub Kohana Module][kohana]
* [GitHub Joomla! Package][joomla]
* [Github Nette Extension][kdyby-github]
* [GitHub API Easy Access][milo-github-api]
* [GitHub bridge for Laravel][github-laravel]
* [PHP5.6|PHP7 Client & WebHook wrapper][flexyproject-githubapi]

[github-php-client]: https://github.com/tan-tan-kanarek/github-php-client
[php-github-api]: https://github.com/KnpLabs/php-github-api
[github-api]: https://github.com/yiiext/github-api
[kohana]: https://github.com/acoulton/github_v3_api
[joomla]: https://github.com/joomla-framework/github-api
[kdyby-github]: https://github.com/kdyby/github
[milo-github-api]: https://github.com/milo/github-api
[github-laravel]: https://github.com/GrahamCampbell/Laravel-GitHub
[flexyproject-githubapi]: https://github.com/FlexyProject/GitHubAPI

## Python

* [PyGithub][jacquev6_pygithub]
* [Pygithub3][pygithub3-api]
* [libsaas][libsaas]
* [github3.py][github3py]
* [sanction][sanction]
* [agithub][agithub]
* [githubpy][githubpy]
* [octohub][octohub]
* [Github-Flask][github-flask]
* [torngithub][torngithub]

[jacquev6_pygithub]: https://github.com/jacquev6/PyGithub
[pygithub3-api]: https://github.com/copitux/python-github3
[libsaas]: https://github.com/ducksboard/libsaas
[github3py]: https://github.com/sigmavirus24/github3.py
[sanction]: https://github.com/demianbrecht/sanction
[agithub]: https://github.com/jpaugh/agithub "Agnostic GitHub"
[githubpy]: https://github.com/michaelliao/githubpy
[octohub]: https://github.com/turnkeylinux/octohub
[github-flask]: http://github-flask.readthedocs.org
[torngithub]: https://github.com/jkeylu/torngithub

## Ruby

* [GitHub API Gem][ghapi]
* [GitHub v3 API][ruby1]
* [GitHub API Client][ruby2]
* [Ghee][ghee]

[ghapi]: https://github.com/peter-murach/github
[ruby1]: https://github.com/jwilger/github-v3-api
[ruby2]: https://github.com/okonski/github-api-client
[ghee]: https://github.com/rauhryan/ghee

## Scala

* [Dispatch GitHub][dispatchgithub]
* [Hubcat][hubcat]
* [Buhtig][buhtig]

[dispatchgithub]: https://github.com/andreazevedo/dispatch-github
[hubcat]: https://github.com/softprops/hubcat
[buhtig]: https://github.com/mdread/buhtig

## Shell

* [ok.sh][ok.sh]

[ok.sh]: https://github.com/whiteinge/ok.sh
